<?php

declare(strict_types=1);

namespace System\Migration;

use PDO;
use System\Contracts\DatabaseInterface;
use System\Contracts\MigrationInterface;

abstract class Migration implements MigrationInterface
{
    protected PDO $db;

    public function __construct(DatabaseInterface $database)
    {
        $this->db = $database->getConnection();
    }
}